
#ifdef TUSB0224ADM_EXPORTS
#define TUSB0224ADM_API __declspec(dllexport) __stdcall
#else
#define TUSB0224ADM_API __declspec(dllimport) __stdcall
#endif

typedef	ULONG	TU_STATUS;

#ifdef __cplusplus
extern "C" {
#endif

	TU_STATUS TUSB0224ADM_API TUSB0224ADM_Connect( LPCSTR SerialNumber);
	TU_STATUS TUSB0224ADM_API TUSB0224ADM_DisConnect(LPCSTR SerialNumber);
	TU_STATUS TUSB0224ADM_API TUSB0224ADM_Calib_Val(LPCSTR SerialNumber, BYTE Ch, LONG Offset[], double Lsbv[]);
	TU_STATUS TUSB0224ADM_API TUSB0224ADM_Dio_In(LPCSTR SerialNumber, LPBYTE InData);
	TU_STATUS TUSB0224ADM_API TUSB0224ADM_Dio_Out(LPCSTR SerialNumber, BYTE OutData);
	TU_STATUS TUSB0224ADM_API TUSB0224ADM_SyncMode(LPCSTR SerialNumber, BYTE Mode);
	TU_STATUS TUSB0224ADM_API TUSB0224ADM_SyncAdj(LPCSTR SerialNumber, BYTE Com);
	TU_STATUS TUSB0224ADM_API TUSB0224ADM_Ad_Sample(LPCSTR SerialNumber, LONG Data[]);
	TU_STATUS TUSB0224ADM_API TUSB0224ADM_Ad_IntClock(LPCSTR SerialNumber, BYTE Sel, DWORD ClkDiv, BYTE Filter);
	TU_STATUS TUSB0224ADM_API TUSB0224ADM_Ad_Input(LPCSTR SerialNumber, BYTE Ch, BYTE Sens, BYTE Couple, BYTE Gain);
	TU_STATUS TUSB0224ADM_API TUSB0224ADM_Ad_InputChk(LPCSTR SerialNumber, BYTE Ch, LPBYTE Sens, LPBYTE Couple, LPBYTE Gain);
	TU_STATUS TUSB0224ADM_API TUSB0224ADM_Smpl_TrgLevel(LPCSTR SerialNumber, BYTE Select, BYTE AinSel, LONG Level1, LONG Level2);
	TU_STATUS TUSB0224ADM_API TUSB0224ADM_Smpl_Start(LPCSTR SerialNumber, ULONG PreTrgLen, BYTE SampleChSel);
	TU_STATUS TUSB0224ADM_API TUSB0224ADM_Smpl_Stop(LPCSTR SerialNumber);
	TU_STATUS TUSB0224ADM_API TUSB0224ADM_Smpl_Status(LPCSTR SerialNumber, BYTE Ch, LPBYTE Status, LPDWORD DataLen);
	TU_STATUS TUSB0224ADM_API TUSB0224ADM_Smpl_Data(LPCSTR SerialNumber, BYTE Ch, LONG Data[], LPDWORD DataLen);
	TU_STATUS TUSB0224ADM_API TUSB0224ADM_Smpl_SoftTrigger(LPCSTR SerialNumber);

#ifdef __cplusplus
}
#endif
